//
//  ContainerWindowController.m
//  iCloudStoreManagerExampleMac
//
//  Created by Heiko Dreyer on 21.06.12.
//  Copyright (c) 2012 boxedfolder.com. All rights reserved.
//

#import "ContainerWindowController.h"

@interface ContainerWindowController ()

@end

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

@implementation ContainerWindowController
{
    NSArray *_internalFiles;
}

@synthesize ubiquityStoreManager = _ubiquityStoreManager;
@synthesize tableView = _tableView;

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

#pragma mark - Init

-(void)windowWillLoad
{
    [self refreshList: nil];
}

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

#pragma mark - NSTableViewDelegate & DataSource

-(NSInteger)numberOfRowsInTableView: (NSTableView *)tableView
{
    if(!_ubiquityStoreManager.isReady)
        return 0;
    
    return [_internalFiles count];
}

///////////////////////////////////////////////////////////////////////////////////////////////////

-(id)tableView: (NSTableView *)tableView objectValueForTableColumn: (NSTableColumn *)tableColumn row: (NSInteger)row
{
    NSString *file = [_internalFiles objectAtIndex: row];
    return file;
}

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

#pragma mark - Actions

-(void)refreshList: (id)sender
{
    _internalFiles = _ubiquityStoreManager.fileList;
    [self.tableView reloadData];
}

@end
